Bug 1016228 - Eng. Review of Reference Guild
Eng. Review of Reference Guild
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity high
: GA
: 6.0
Assigned To: David Le Sage
Filip Nguyen
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-07 14:05 EDT by Van Halbert
Modified: 2014-02-24 13:45 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1031477 (view as bug list)
Environment:
Last Closed: 2014-02-03 20:48:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 2 belong 2013-11-17 23:55:35 EST
Van,

Regarding point 11, assuming the value is based on the absence of a value at declaration, importKeys should be false by default too. Do you agree?

Cheers,
Ben
Comment 3 belong 2013-11-18 00:14:16 EST
Also, Van, what comments did you have for your point 14?
Comment 4 belong 2013-11-18 22:30:04 EST
Van confirmed not to worry about #11 and #14.
Comment 5 belong 2013-11-19 01:19:07 EST
Filip,

All items corrected except for:
 - #9 which has been deferred (Bug 1031477)
 - #11 and #14 which were dismissed

Please set to VERIFIED if you are happy with the changes.

Thanks,
Ben

1. Reserved Words: Should reference the grammar Reserved and Reserved Keywords for Future Use sections instead of the Tokens section.

Fixed - http://documentation-devel.engineering.redhat.com/docs/en-US/Red_Hat_JBoss_Data_Virtualization/6/html-single/Development_Guide_Reference_Material/index.html#Reserved_Words

2. Literals: "100.0 - parsed as double" - is incorrect, it should be parsed as BigDecimal

Fixed - http://documentation-devel.engineering.redhat.com/docs/en-US/Red_Hat_JBoss_Data_Virtualization/6/html-single/Development_Guide_Reference_Material/index.html#Literals

3. SELECT Command: The WITH clause for consistency should be shown with optional notion.  Alternatively the optional notion could just be removed from all other clauses.

Fixed - http://documentation-devel.engineering.redhat.com/docs/en-US/Red_Hat_JBoss_Data_Virtualization/6/html-single/Development_Guide_Reference_Material/index.html#SELECT_Command

4. Inline Views: Shows a subquery with windows ticks that should instead have WHERE Y.d = '3'

Fixed - http://documentation-devel.engineering.redhat.com/docs/en-US/Red_Hat_JBoss_Data_Virtualization/6/html-single/Development_Guide_Reference_Material/index.html#Inline_Views

5. Virtual Procedure Limitations: Is out of date - it could just say "Teiid virtual procedures may only return 1 result set."

Fixed - http://documentation-devel.engineering.redhat.com/docs/en-US/Red_Hat_JBoss_Data_Virtualization/6/html-single/Development_Guide_Reference_Material/index.html#Virtual_Procedure_Limitations

6. Foreign Table: The syntax for the CONSTRAINT is incorrect it needs a comma/name - decimal(25,4), CONSTRAINT fk FOREGIN KEY(customerid)

Fixed - http://documentation-devel.engineering.redhat.com/docs/en-US/Red_Hat_JBoss_Data_Virtualization/6/html-single/Development_Guide_Reference_Material/index.html#Foreign_Table

7. Column Options: The table contains a lot of entries with  - should be blank, or really we should provide descriptions for all on the community side.

Fixed - http://documentation-devel.engineering.redhat.com/docs/en-US/Red_Hat_JBoss_Data_Virtualization/6/html-single/Development_Guide_Reference_Material/index.html#Column_Options

8. Table Constraints: Related to 6, the constraint syntax is incorrect.  Should be:

CREATE VIEW CustomerOrders (name varchar(50),  saledate date, amount decimal,
   CONSTRAINT EXAMPLE_INDEX INDEX (name, amount),
   ACCESSPATTERN (name),
   PRIMARY KEY ...

http://documentation-devel.engineering.redhat.com/docs/en-US/Red_Hat_JBoss_Data_Virtualization/6/html-single/Development_Guide_Reference_Material/index.html#Table_Constraints

10. JDBC Translator Execution Properties: The table is not well formatted.

Fixed - http://documentation-devel.engineering.redhat.com/docs/en-US/Red_Hat_JBoss_Data_Virtualization/6/html-single/Development_Guide_Reference_Material/index.html#JDBC_Translator_Execution_Properties

12. Object Translator Example: The sample vdb.xml contains some invalid  characters.

Fixed - http://documentation-devel.engineering.redhat.com/docs/en-US/Red_Hat_JBoss_Data_Virtualization/6/html-single/Development_Guide_Reference_Material/index.html#Object_Translator_Example

13. Procedure Planner: Contains  characters.

Fixed - http://documentation-devel.engineering.redhat.com/docs/en-US/Red_Hat_JBoss_Data_Virtualization/6/html-single/Development_Guide_Reference_Material/index.html#Procedure_Planner
Comment 7 belong 2013-11-25 18:35:13 EST
Nilam also added LDAP info as requested by rareddy.

13.12.9. LDAP Connector Capabilities Support
13.12.10. LDAP Connector Capabilities Support List
13.12.11. LDAP Attribute Datatype Support
13.12.12. LDAP: Testing Your Connector
13.12.13. LDAP: Console Deployment Issues

URL: http://documentation-devel.engineering.redhat.com/docs/en-US/Red_Hat_JBoss_Data_Virtualization/6/html/Development_Guide_Reference_Material/chap-Translators.html#LDAP_Connector_Capabilities_Support
Comment 8 belong 2013-11-25 18:36:14 EST
Filip,

Please refer to Comments 5, 6 & 7 to verify.

Cheers,
Ben
Comment 9 belong 2013-12-11 00:26:59 EST
Changed Component from doc-DSP_Development_Guide

Note You need to log in before you can comment on or make changes to this bug.